summaryrefslogtreecommitdiffstats
path: root/source/a/libcgroup/libcgroup.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-12 05:02:45 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-12 20:58:07 +0200
commit2c20c6847e0caa3b62f6e5a0506790393c141932 (patch)
tree5cbe54a04fa072a3719d68f109ebbff54fc87037 /source/a/libcgroup/libcgroup.SlackBuild
parent548843b225f281a8d0583e3bf1ee77ac57d648a3 (diff)
downloadcurrent-3a9f5f032b4bce05510e298c52cc42a45977ed3d.tar.gz
current-3a9f5f032b4bce05510e298c52cc42a45977ed3d.tar.xz
Tue Jun 12 05:02:45 UTC 201820180612050245
a/kernel-firmware-20180606_d114732-noarch-1.txz: Upgraded. a/kernel-generic-4.14.49-x86_64-1.txz: Upgraded. a/kernel-huge-4.14.49-x86_64-1.txz: Upgraded. a/kernel-modules-4.14.49-x86_64-1.txz: Upgraded. a/libcgroup-0.41-x86_64-4.txz: Rebuilt. Apply all post 0.41 patches from git, including one for an infinite loop bug that causes 100% CPU usage on one core. Thanks to chris.willing. a/pkgtools-15.0-noarch-17.txz: Rebuilt. installpkg: Use terse mode if TERSE=0 is set in the environment (this already works for removepkg and upgradepkg). This allows using terse mode in other tools that use the pkgtools (such as slackpkg with: TERSE=0 slackpkg). Thanks to Xsane. ap/hplip-3.18.6-x86_64-1.txz: Upgraded. d/kernel-headers-4.14.49-x86-1.txz: Upgraded. k/kernel-source-4.14.49-noarch-1.txz: Upgraded. GPIO_AMDPT n -> m (thanks to walecha) NFSD_V3_ACL n -> y (thanks to Jonathan Woithe) NFS_V3_ACL n -> y (thanks to Jonathan Woithe) NFS_V4_2 n -> y +NFSD_V2_ACL y +NFS_ACL_SUPPORT y +NFS_V4_SECURITY_LABEL y l/LibRaw-0.18.12-x86_64-1.txz: Upgraded. This update fixes bugs and security issues, including: parse_qt: possible integer overflow reject broken/crafted NOKIARAW files recover read position if TIFF/EXIF tag is too long possible infinite loop in parse_minolta() possible stack overrun in X3F parser out of bounds read in X3F parser For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-13735 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14265 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10528 https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10529 (* Security fix *) l/dconf-0.26.1-x86_64-3.txz: Rebuilt. Eliminate install script noise. l/dconf-editor-3.26.2-x86_64-3.txz: Rebuilt. Eliminate install script noise. n/iproute2-4.17.0-x86_64-1.txz: Upgraded. x/wqy-zenhei-font-ttf-0.8.38_1-noarch-7.txz: Rebuilt. Try to avoid overriding other font choices unless lang = zh-cn or zh-sg. x/xkbcomp-1.4.2-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/a/libcgroup/libcgroup.SlackBuild')
-rwxr-xr-xsource/a/libcgroup/libcgroup.SlackBuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/source/a/libcgroup/libcgroup.SlackBuild b/source/a/libcgroup/libcgroup.SlackBuild
index d059f378f..6a5185a75 100755
--- a/source/a/libcgroup/libcgroup.SlackBuild
+++ b/source/a/libcgroup/libcgroup.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libcgroup
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,6 +77,9 @@ zcat $CWD/libcgroup.init.diff.gz | patch -p1 --verbose || exit 1
# Slackware does not use /etc/sysconfig:
zcat $CWD/libcgroup.conf.diff.gz | patch -p1 --verbose || exit 1
+# Apply combined patches from git, including for an infinate loop bug:
+zcat $CWD/libcgroup.loop.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,6 +87,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+autoreconf -vif
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \